Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154904 - Progress stops
Summary: Progress stops
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-14 19:31 UTC by Sigge Kotliar
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-19 05:58:44 UTC


Attachments (Terms of Use)

Description Sigge Kotliar 2005-04-14 19:31:58 UTC
Description of problem:
After having selected a couple of packages for updating, one expects the
"Forward" button to become clickable. But it doesn't. 

Version-Release number of selected component (if applicable):
up2date-4.4.9-1

How reproducible:


Steps to Reproduce:
1. Start up2date
2. Select some packages to download
3.
  
Actual results:
Forward button is still disabled

Expected results:
Forward button becomes enabled and clickable

Additional info:

Comment 1 Mike Chambers 2005-04-16 10:21:21 UTC
Still happens on the latest rawhide version..

up2date-gnome-4.4.14-2
up2date-4.4.14-2

Also get the error below when running via command line (up2date -u) with
packages that need upgrading...

Testing package set / solving RPM inter-dependencies...
        Traceback (most recent call last):
          File "/usr/sbin/up2date", line 1250, in ?
            sys.exit(main() or 0)
          File "/usr/sbin/up2date", line 800, in main
            fullUpdate, dryRun=options.dry_run))
          File "/usr/sbin/up2date", line 1137, in batchRun
            batch.run()
          File "/usr/share/rhn/up2date_client/up2dateBatch.py", line 78,
        in run
            self.__dryRun()
          File "/usr/share/rhn/up2date_client/up2dateBatch.py", line
        163, in
        __dryRun
            self.percentCallback)
          File "/usr/share/rhn/up2date_client/up2date.py", line 386, in
        dryRun
            ret = depsolve.solvedep()
          File "/usr/share/rhn/up2date_client/depSolver.py", line 722,
        in
        solvedep
            ret = self.process_deps(deps)
          File "/usr/share/rhn/up2date_client/depSolver.py", line 616,
        in
        process_deps
            changed = self.__dependencies(dependencies)
          File "/usr/share/rhn/up2date_client/depSolver.py", line 323,
        in
        __dependencies
            msgCallback = self.msgCallback)
          File "/usr/share/rhn/up2date_client/depSolver.py", line 97, in
        solveDep
            msgCallback = msgCallback)
          File
        "/usr/share/rhn/up2date_client/repoBackends/genericSolveDep.py",
        line 132 , in solveDep
            msgCallback = self.msgCallback)
          File
        "/usr/share/rhn/up2date_client/repoBackends/rpmmdRepo.py", line
        60, in ge tSolutions
            provs = self.pkgSack.searchProvides(unknown)
        AttributeError: RpmmdSolveDep instance has no attribute
        'pkgSack'

If packages are updated already and nothing new, then it doesn't traceback and
shows you the proper message of nothing to upgrade.


Note You need to log in before you can comment on or make changes to this bug.